#!/bin/sh

##### rtsp2303: streaming 1080p from Yi 1080p v1 with minimum overhead #####
##### by andy2301 #####

####### libstdc++.6.so library required #######
# 1. for testing purpose: set LD_LIBRARY_PATH
export LD_LIBRARY_PATH=`pwd`:$LD_LIBRARY_PATH
# 2. for production: copy libstdc++.6.so to /home/lib or /home/app/locallib (paths already included in LD_LIBRARY_PATH)
# /home/app # ls -l /home/lib/libstdc\+\+.so.6
# -rwxr-xr-x    1 root     root        882788 Apr 14 06:17 /home/lib/libstdc++.so.6


# by default (runs monitorChanges for each client session once), same as "./rtsp2303"
#startOFS=0 repeatOFS=1050000 readsPMON=0 cmpSZ=10240 numCHUNK=7 sleepMS=500 adjIDX=-1 VERB=0 ./rtsp2303 &
./rtsp2303 &

# enable logging
#VERB=1 ./rtsp2303 &

# enable loggin, and start streaming from the prior of the prior chunk of the changed one
#adjIDX=-2 VERB=0 ./rtsp2303 &

# enable logging, and disable the initial monitorChanges run (set readsPMON=-1)
#VERB=1 readsPMON=-1 ./rtsp2303 &

# enable logging, and run monitorChanges after every 14 read request
#VERB=1 readsPMON=14 ./rtsp2303 &

# stream the 360p video (second half of /tmp/view), **** not stable at all ****
#startOFS=1152000 repeatOFS=1586752 VERB=1 ./rtsp2303 &
